<?php


namespace App\ViewModels\Formulario\FormularioUpdateViewModel;


use App\Utils\Entity;

class FormularioUpdateViewModel extends Entity
{
    protected $titulo;
    protected $descricao;
    protected $id_medico;
    protected $perguntas;

    public static function builder(): FormularioUpdateViewModelBuilder
    {
        return new FormularioUpdateViewModelBuilder;
    }

    public function getTitulo(): string
    {
        return $this->titulo;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function getPerguntas(): PerguntaUpdateCollection
    {
        return $this->perguntas;
    }

    public function setTitulo(string $titulo): void
    {
        $this->titulo = $titulo;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function setPerguntas(PerguntaUpdateCollection $perguntas): void
    {
        $this->perguntas = $perguntas;
    }
}